Subject: [Pce] [Editorial Errata Reported] RFC8253 (5180)

From: RFC Errata System <[email-masked]>
Date: Mon, 6 Nov 2017 13:46:29 -0800 (PST)

The following errata report has been submitted for RFC8253,
"PCEPS: Usage of TLS to Provide a Secure Transport for the Path Computation Element Communication Protocol (PCEP)".

--------------------------------------
You may review the report below and at:
http://www.rfc-editor.org/errata/eid5180

--------------------------------------
Type: Editorial
Reported by: Russ Housley <[email-masked]>

Section: 3.4

Original Text
-------------
       *  PCEPS implementations MUST, at a minimum, support negotiation
          of the TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256 [RFC6460] and
          SHOULD support TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384 as
          well.  ...

Corrected Text
--------------
       *  PCEPS implementations MUST, at a minimum, support negotiation
          of the TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256 [RFC5289] and
          SHOULD support TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384 as
          well.  ...

Notes
-----
RFC 6460 makes reference to the TLS_ECDHE_ECDSA_WITH_AES_128_GCM_SHA256 and TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384 ciphersuites, but it does not define them.  These ciphersuites are defined in RFC 5289.

Instructions:
-------------
This erratum is currently posted as "Reported". If necessary, please
use "Reply All" to discuss whether it should be verified or
rejected. When a decision is reached, the verifying party  
can log in to change the status and edit the report, if necessary. 

--------------------------------------
RFC8253 (draft-ietf-pce-pceps-18)
--------------------------------------
Title               : PCEPS: Usage of TLS to Provide a Secure Transport for the Path Computation Element Communication Protocol (PCEP)
Publication Date    : October 2017
Author(s)           : D. Lopez, O. Gonzalez de Dios, Q. Wu, D. Dhody
Category            : PROPOSED STANDARD
Source              : Path Computation Element
Area                : Routing
Stream              : IETF
Verifying Party     : IESG